SKIPMOUNT=false
PROPFILE=false
POSTFSDATA=false
LATESTARTSERVICE=true

REPLACE_EXAMPLE="
/system/app/Youtube
/system/priv-app/SystemUI
/system/priv-app/Settings
/system/framework
"

REPLACE="
"

ui_print "- Tʜᴀɴᴋs Tᴏ                           
 _    ____________ 
| |  / / ____/ __ )
| | / / /   / __  |
| |/ / /___/ /_/ / 
|___/\____/_____/                     
                   "
MODNAME=$(grep_prop name $TMPDIR/module.prop)
    MODVER=$(grep_prop version $TMPDIR/module.prop)
    DV=$(grep_prop author $TMPDIR/module.prop)
    Device=$(getprop ro.product.device)
    Model=$(getprop ro.product.model)
    Brand=$(getprop ro.product.brand)
    Time=$(date "+%d, %b - %H:%M %Z")

    sleep 0.1
    echo "-------------------------------------"
    echo "- Author: $DV"
    echo "- Module: $MODNAME"
    echo "- Version: $MODVER"
    echo "-------------------------------------"
    sleep 0.5
    echo "- Brand: $Brand"
    echo "- Device: $Device"
    echo "- Model: $Model"
    sleep 0.5
    echo "-------------------------------------"
sleep 2
ui_print "- Extracting module files"
unzip -o "$ZIPFILE" 'VCB' -d "$MODPATH" >&2
unzip -o "$ZIPFILE" 'system/*' -d $MODPATH >&2
chmod +x "$MODPATH"/VCB
# Display installation progress
    ui_print " [■□□□□□□□□□] 10% "
    sleep 1
    ui_print " [■■□□□□□□□□] 20% "
    sleep 0.5
    ui_print " [■■■□□□□□□□] 30% "
    sleep 1
    ui_print " [■■■■■□□□□□] 50% "
    ui_print " [■■■■■■□□□□] 60% "
    sleep 2
    ui_print " [■■■■■■■□□□] 70% "
    sleep 0.5
    ui_print " [■■■■■■■■□□] 80% "
    ui_print " [■■■■■■■■■□] 90% "
    sleep 3
    ui_print " [■■■■■■■■■■] 100% "
    sleep 1
    echo "-------------------------------------"
  
    # Perform fstrim on specific partitions
    ui_print "- Trimming up Partitions... "
    fstrim /cache
    sleep 0.2
    fstrim /data
    sleep 0.2
    fstrim /product
    sleep 0.2
    fstrim /system
    sleep 0.2
    fstrim /vendor
    
    # Wait and finalize installation
    ui_print "- Waiting.... "
    sleep 2
    ui_print "- Ready... "
    ui_print "- Install Successful at $Time !!"